version: '3.3'

services:
    bot:
        build: ./Containerfile.run
        image: reminder-rs-run
        restart: always
        expose:
            - '80'
    database:
        image: mysql:8.0
        restart: always
        environment:
            MYSQL_DATABASE: 'reminders'
            MYSQL_USER: 'reminder-bot'
        ports:
            - '3306:3306'
        expose:
            - '3306'
        volumes:
            - reminders:/var/lib/mysql
